Subject: [dhcwg] DHCP server deleting the IP-MAC binding entry

From: girish gupta <[email-masked]>
Date: Thu, 8 Oct 2009 14:16:28 +0530

Hello Experts,

I read RFC 2131 and have the following query -

If the administrator manually deletes the dhcp IP-MAC binding entry
from the DHCP server database, is there any DHCP message generated for
it? I think it is not generated. Please let me know if we are missing
anything. Will it not be a good idea to generate a new DHCP message
which can flush the state of DHCP clients/DHCP Snooping switches and
re-initialize their state machines?

Please let me know your thoughts.

Thanks,
Girish

---

From: GAURAV HALWASIA <[email-masked]>
Date: Thu, 8 Oct 2009 02:02:32 -0700 (PDT)

Hi Girish,

As per protocol DHCP Server will not send any DHCP message to client in case adminitrator manually clears the DHCP bindings.

DHCP clients will get re-initialized automatically after it's renew requests will not get responded. It might not be great idea to force the client to release the IP address before the lease time gets expired.

Regards,
Gaurav Halwasia

________________________________
From: girish gupta <[email-masked]>
To: [email-masked]
Sent: Thu, 8 October, 2009 2:16:28 PM
Subject: [dhcwg] DHCP server deleting the IP-MAC binding entry

Hello Experts,

Thanks,
Girish
_______________________________________________
dhcwg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/dhcwg

      Yahoo! India has a new look. Take a sneak peek http://in.yahoo.com/trynew

---

From: girish gupta <[email-masked]>
Date: Fri, 9 Oct 2009 10:34:53 +0530

Hi Gaurav,

What I proposed is the quick convergence of DHCP database on Clients
and DHCP Snooping switches to be consistence with DHCP Server
database.
Existing mechanism do not provide any such mechanisms. Another point
is that since the binding entry is being deleted from DHCP server,
DHCP server can offer the same IP address to some other new clients
and client SHOULD have been implemented for sending ARP request for
detecting the already assigned IP addresses else it will add to more
confusion....

Thanks,
Girish

On Thu, Oct 8, 2009 at 2:32 PM, GAURAV HALWASIA <[email-masked]> wrote:
> Hi Girish,
>
> As per protocol DHCP Server will not send any DHCP message to client in case
> adminitrator manually clears the DHCP bindings.
>
> DHCP clients will get re-initialized automatically after it's renew requests
> will not get responded. It might not be great idea to force the client to
> release the IP address before the lease time gets expired.
>
>
> Regards,
> Gaurav Halwasia
>
> Keep up with people you care about with Yahoo! India Mail. Learn how.

---

From: pavan_kurapati <[email-masked]>
Date: Fri, 9 Oct 2009 10:40:41 +0530

Girish,
Check RFC 3203 for DHCP FORCERENEW message which you can use for the below scenario.

Thanks,
Pavan

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf
> Of girish gupta
> Sent: Friday, October 09, 2009 10:35 AM
> To: [email-masked]; GAURAV HALWASIA
> Subject: Re: [dhcwg] DHCP server deleting the IP-MAC binding entry
> 
> Hi Gaurav,
> 

**************** CAUTION - Disclaimer *****************
This e-mail contains PRIVILEGED AND CONFIDENTIAL INFORMATION intended solely 
for the use of the addressee(s). If you are not the intended recipient, please 
notify the sender by e-mail and delete the original message. Further, you are not 
to copy, disclose, or distribute this e-mail or its contents to any other person and 
any such actions are unlawful. This e-mail may contain viruses. Infosys has taken 
every reasonable precaution to minimize this risk, but is not liable for any damage 
you may sustain as a result of any virus in this e-mail. You should carry out your 
own virus checks before opening the e-mail or attachment. Infosys reserves the 
right to monitor and review the content of all messages sent to or from this e-mail 
address. Messages sent to or from this e-mail address may be stored on the 
Infosys e-mail system.
***INFOSYS******** End of Disclaimer ********INFOSYS***

---

From: Ted Lemon <[email-masked]>
Date: Thu, 8 Oct 2009 22:21:27 -0700

> On Thu, Oct 8, 2009 at 2:32 PM, GAURAV HALWASIA <[email-masked] 
> > wrote:

I'm curious as to what protocol you're talking about here.   This is  
not allowed in the DHCP protocol.

---

From: girish gupta <[email-masked]>
Date: Fri, 9 Oct 2009 11:23:09 +0530

Hi Pavan,

Thanks. Thats what I was looking for.
It would be good if it can be explicitly mentioned in section  - "2.3
Example usage" of the RFC 3203.

Yves, Christian, Is it possible to add another subsection 2.3.4 under
Example section 2.3, mentioning that the FORCERENEW message should be
generated when the administrator deletes the IP-MAC binding entry from
the DHCP server which will help DHCP clients/DHCP Snooping switches to
quickly re-initialize their state machines and can be in sync with
DHCP server database without any delay.

Thanks,
Girish